FGC-RBAC
角色管理

获取角色分页列表

GET
/GetRoleListByPage

分页获取活字格服务中的角色列表,返回角色树节点的平铺数据。

AuthorizationBearer <token>

In: header

Query Parameters

page*string

当前页码,从 1 开始

pageSize*string

每页返回的记录数

Response Body

application/json

curl -X GET "https://camp.app.hzgcloud.cn/rbac/ServerCommand/GetRoleListByPage?page=1&pageSize=5"
{
  "ErrCode": 0,
  "Message": "success",
  "total": 38,
  "data": [
    {
      "Id": 1,
      "uniqueKey": "1~0",
      "pUniqueKey": "",
      "icon": "80c6830e-12e9-43b4-bcd1-0bfd0eb5242b_文件夹(1).svg",
      "name": "岗位",
      "isRole": 0,
      "pId": null,
      "sort": 1
    },
    {
      "Id": 1,
      "uniqueKey": "1~1",
      "pUniqueKey": "",
      "icon": "aee90656-c73f-42a0-8625-e3a88e74e350_用户_角色.svg",
      "name": "Administrator",
      "isRole": 1,
      "pId": null,
      "sort": 1
    },
    {
      "Id": 2,
      "uniqueKey": "2~1",
      "pUniqueKey": "",
      "icon": "aee90656-c73f-42a0-8625-e3a88e74e350_用户_角色.svg",
      "name": "部门经理",
      "isRole": 1,
      "pId": null,
      "sort": 2
    },
    {
      "Id": 3,
      "uniqueKey": "3~1",
      "pUniqueKey": "",
      "icon": "aee90656-c73f-42a0-8625-e3a88e74e350_用户_角色.svg",
      "name": "财务部",
      "isRole": 1,
      "pId": null,
      "sort": 3
    },
    {
      "Id": 4,
      "uniqueKey": "4~1",
      "pUniqueKey": "",
      "icon": "aee90656-c73f-42a0-8625-e3a88e74e350_用户_角色.svg",
      "name": "出差Admin",
      "isRole": 1,
      "pId": null,
      "sort": 4
    }
  ]
}